/* FLOW-e styes-------*/

/* Basic styles, adjust as needed */
body {
    font-family: "Montserrat", sans-serif;
    margin: 0;
    padding: 0;
    font-size: 18px;
    color: #09577a;
    line-height: 1.6;
    background: #eee;
    display: flex;
    flex-direction: column;
}

/* For headings (h1, h2, h3, etc.) */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Montserrat", sans-serif;
  color: #2655a1;
  font-size: 1.5em;
}

div {
    width: 100%;
}

input[type="text"], input[type="file"], input[type="date"], input[type="url"], input[type="number"], input[type="email"], input[type="password"], input[type="tel"], textarea, select {
    display: block;
    width: 100%;
    padding: 0.5em;
    margin-bottom: 1em;
    border: 1px solid #ccc;
    border-radius: 3px;
    box-sizing: border-box;
    font-size: small;
    color: #d6d6d6;
    font-family: "Montserrat", sans-serif;
    height: -webkit-fill-available;
}

.login-button {
    background: #30baaa;
    padding: 10px 22px;
    color: #ffffff;
    font-weight: bold;
    border-radius: 42px;
    border: none;
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    width: 100%;
    margin: 0 auto;
    text-decoration: none;
}

#registrationForm {
    display: flex;
    flex-direction: column;
    width: 500px;
    margin: 10px auto 50px;
    background: #fff;
    box-shadow: 0 1px 2px #ccc;
    transition: all 0.3s ease;
    border-radius: 20px;
    padding: 33px;
    max-width: 75vmin;
    box-sizing: border-box;
    /* overflow: hidden; */
    /* height: 100vh; */
}

.register-page-main-section {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0;
    align-items: center;
    background: #eee;
    /* height: 100vh; */
    box-sizing: content-box;
}

.login-page-main-section {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0;
    align-items: center;
    /* background: #eee; */
    height: 100vh;
    box-sizing: content-box;
    margin: 0px auto;
    padding-bottom: 50px;
}

.logo {
    margin-top: 50px;
    width: 100%;
    max-width: 300px;
    margin: 50px auto 20px;
}

#loginForm {
    background: #ffffff;
    padding: 24px;
    border-radius: 12px;
    width: -webkit-fill-available;
    max-width: 350px;
    margin: 0 auto 90px;
    display: flex;
    flex-direction: column;
    font-size: smaller;
    box-shadow: 0 7px 10px rgba(0, 0, 0, 0.1);
}


.success-message {
    padding: 10px;
    width: 100%;
    max-width: 90%;
    height: auto;
    margin: 20px auto;
    text-align: center;
}

.success-message p {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
}

.success-message a {
    background: #30baaa;
    color: #ffffff;
    padding: 8px 14px;
    border-radius: 24px;
    font-size: medium;
    font-weight: 600;
    margin: 0;
    text-decoration: none;
}

#loginForm p {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 5px;
}

#loginForm a {
    background: #2655a1;
    color: #ffffff;
    text-decoration: none;
    padding: 10px 15px;
    border-radius: 27px;
    margin: 5px auto 0;
    width: -webkit-fill-available;
    text-align: center;
}

.account-recovery-main-section, .account-recovery-confirm-main-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 90%;
    margin: 0 auto;
}

#recoveryForm {
    background: #ffffff;
    padding: 24px;
    border-radius: 12px;
    width: -webkit-fill-available;
    max-width: 350px;
    margin: 0 auto 90px;
    display: flex;
    flex-direction: column;
    font-size: smaller;
    box-shadow: 0 7px 10px rgba(0, 0, 0, 0.1);
}

.account-recovery-main-section a {
    background: #39bbaa;
    color: #ffffff;
    text-decoration: none;
    padding: 10px 15px;
    border-radius: 27px;
    margin: 5px auto 0;
    width: inherit;
    text-align: center;
    box-sizing: border-box;
}

.account-recovery-main-section p {
    margin: 0 auto;
    /* background: #ffffff; */
    width: 100%;
    max-width: 600px;
    padding: 20px;
    border-radius: 12px;
    /* box-shadow: 0 1px 2px #ccc; */
    text-align: center;
    box-sizing: border-box;
}

.account-recovery-confirm-main-section p {
    margin: 0 auto;
    background: #ffffff;
    width: 100%;
    max-width: 600px;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 1px 2px #ccc;
    text-align: center;
    box-sizing: border-box;
}

.account-recovery-confirm-main-section h2 {
    text-align: center;
}
/* Adjusting the width and positioning of the dropdown */
        .custom-dropdown {
            position: relative;
            display: inline-block;
            margin-bottom: 1em;
        }

        .selected-option {
            display: block;
            padding: 10px;
            background-color: #f0f0f0;
            border: 1px solid #ccc;
            border-radius: 4px;
            cursor: pointer;
            box-sizing: border-box;
        }

        .dropdown-options {
            display: none;
            position: relative;
            top: 100%;
            left: 0;
            width: 100%;
            list-style: none;
            margin: 0;
            padding: 0;
            background-color: #fff;
            border: 1px solid #ccc;
            border-top: none;
            border-radius: 0 0 4px 4px;
        }

        .dropdown-options li {
            padding: 10px;
            border-top: 1px solid #ccc;
            cursor: pointer;
        }

        /* Show dropdown options when selected-option is clicked */
        .custom-dropdown.open .dropdown-options {
            display: block;
        }
        
        /* Show dropdown options when selected-option is clicked */
        .open {
            display: block;
        }
        
        #selectedOption {
            background: #ccc;
            border-radius: 3px;
            padding: 5px;
            box-sizing: border-box;
        }
        

/* Media query for medium-sized screens (e.g., tablets) */
@media only screen and (max-width: 768px) {
    #registrationForm {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 10px auto 50px;
    background: #fff;
    box-shadow: 0 1px 2px #ccc;
    transition: all 0.3s ease;
    border-radius: 20px;
    padding: 33px;
    max-width: 170vmin;
    }
    
    #loginForm {
    max-width: 80%;
    }
    
    .account-recovery-main-section p {
    margin: 0 auto;
    background: #ffffff;
    width: 100%;
    max-width: 90%;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 1px 2px #ccc;
    text-align: center;
    box-sizing: border-box;
    }
    
    .account-recovery-confirm-main-section p {
    margin: 0 auto;
    background: #ffffff;
    width: 100%;
    max-width: 600px;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 1px 2px #ccc;
    text-align: center;
    box-sizing: border-box;
    }
    
    #recoveryForm {
    background: #ffffff;
    padding: 24px;
    border-radius: 12px;
    width: -webkit-fill-available;
    max-width: 90%;
    margin: 0 auto 90px;
    display: flex;
    flex-direction: column;
    font-size: smaller;
    box-shadow: 0 7px 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    box-sizing: border-box;
    }
    

}

/* Media query for smaller screens (e.g., mobile phones) */
@media only screen and (max-width: 480px) {
    #registrationForm {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 10px auto 50px;
    background: #fff;
    box-shadow: 0 1px 2px #ccc;
    transition: all 0.3s ease;
    border-radius: 20px;
    padding: 20px;
    max-width: 95vmin;
    }
    
    #loginForm {
    max-width: 80%;
    }
    
    .account-recovery-main-section p {
    margin: 0 auto 20px;
    background: #ffffff;
    width: 100%;
    max-width: 90%;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 1px 2px #ccc;
    text-align: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    }
    
    .account-recovery-confirm-main-section p {
    margin: 0 auto;
    background: #ffffff;
    width: 100%;
    max-width: 90%;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 1px 2px #ccc;
    text-align: center;
    box-sizing: border-box;
    }
    
    #recoveryForm {
    background: #ffffff;
    padding: 24px;
    border-radius: 12px;
    width: -webkit-fill-available;
    max-width: 90%;
    margin: 0 auto 20px;
    display: flex;
    flex-direction: column;
    font-size: smaller;
    box-shadow: 0 7px 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    box-sizing: border-box;
    }
    
}